Support

Frequently Asked Questions

Is Harry the Handsome Executive OS X native, will it ever be?

Last Updated Sep 19, 2005

Harry the Handsome Executive is not OS X native. Harry the Handsome Executive requires a Macintosh running OS 8.6 or 9.6. At the present time, we have no plans to port Harry the Handsome Executive to OS X.

Related question(s):

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account